Foro de debate

Abrir R-commander desde R

Abrir R-commander desde R

de Alba Gasca Vazquez -
Número de respuestas: 15

Buenas noches,

hasta hace unos días no tenia ningun problema con R-commander, pero no se que toqué que ahora cada vez que intento abrirlo desde R me aparece el siguiente mensaje:

Loading required package: splines
Loading required package: RcmdrMisc
Loading required package: car
Loading required package: sandwich
Error: package ‘sandwich’ could not be loaded
Además: Mensajes de aviso perdidos
In library(pkg, character.only = TRUE, logical.return = TRUE, lib.loc = lib.loc) :
there is no package called ‘sandwich’
>

Alguien sabe como puedo arreglarlo? El domingo tengo que entregar un trabajo y lo necesito urgentemente!!!!!!!

Muchas gracias,

Alba.

En respuesta a Alba Gasca Vazquez

Re: Abrir R-commander desde R

de Manuel Muñoz Márquez -

Buenas:

¿Has probado a reinstalar el paquete sandwich?

Saludos.

En respuesta a Manuel Muñoz Márquez

Re: Abrir R-commander desde R

de Alba Gasca Vazquez -

Si, he vuelto a instalar los cuatro y cuando quiero volver abrir Rcmdr, aparce el mensaje siguiente:

> library(Rcmdr)
Loading required package: RcmdrMisc
Loading required package: sandwich
Error in loadNamespace(i, c(lib.loc, .libPaths()), versionCheck = vI[[i]]) :
there is no package called ‘zoo’
Error: package ‘sandwich’ could not be loaded
>

Para instalar los paquetes hago lo siguiente: Packages & Data > Package Installer. Aqui pongo en el buscador el paquete que quiero, le doy a "Get list" y una vez me aparece en la lista le doy a "Instal Select". Supongo que es asi no?

He seguido este procedimiento para instalar todos los paquetes que me pedía: sandwich, RcmdrMisc, car, splines y sigo igual

En respuesta a Alba Gasca Vazquez

Re: Abrir R-commander desde R

de Rubén Gómez -

Prueba a reinstalar Zoo que es el error que te tira ahora mismo.

De hecho si utilizas install.packages("paquete",dependencies=TRUE) debería instalar automáticamente todas las dependencias.

Suerte.

Salud y Revolución.

Lobo.

En respuesta a Rubén Gómez

Re: Abrir R-commander desde R

de Manuel Muñoz Márquez -

Buenas:

Si utilizas windows puedes probar a instalar el paquete R-UCA que lo instala todo de una vez.

Saudos.

En respuesta a Manuel Muñoz Márquez

Re: Abrir R-commander desde R

de Alba Gasca Vazquez -

Ahora me aparece el siguiente mensaje:

Error : .onLoad failed in loadNamespace() for 'tcltk', details:
call: system2("otool", c("-L", shQuote(DLL)), stdout = TRUE)
error: error in running command
Error: package or namespace load failed for ‘Rcmdr’
sh: otool: command not found

 

En respuesta a Alba Gasca Vazquez

Re: Abrir R-commander desde R

de Rubén Gómez -

Alba, así no llegamos a ningún sitio.

Mandanos la salida de sessionInfo() y explicanos sobre que sistema operativo estas trabajando.

En mi sistema no aparece por ningún lado ese «otool» que tu sistema dice no encontrar.

Salud y Revolución.

Lobo.

En respuesta a Rubén Gómez

Re: Abrir R-commander desde R

de Veronica Mendez -

Hola!

Yo tambien estoy teniendo el mismo problema...Me pueden ayudar? Hasta hace unos dias podia utilizar la library(vegan) sin ningun problema. Tengo la ultima version de R y un macbook pro si sirve de ayuda. 

Aqui va el error y muchas gracias por todo!

> library(vegan)
Loading required package: permute
Loading required package: lattice
sh: otool: command not found
Error : .onLoad failed in loadNamespace() for 'tcltk', details:
call: system2("otool", c("-L", shQuote(DLL)), stdout = TRUE)
error: error in running command
Error: package or namespace load failed for ‘vegan’
> sessionInfo()
R version 3.1.2 (2014-10-31)
Platform: x86_64-apple-darwin10.8.0 (64-bit)

locale:
[1] en_GB.UTF-8/en_GB.UTF-8/en_GB.UTF-8/C/en_GB.UTF-8/en_GB.UTF-8

attached base packages:
[1] stats graphics grDevices utils datasets methods base

other attached packages:
[1] lattice_0.20-29 permute_0.8-3

loaded via a namespace (and not attached):
[1] grid_3.1.2 parallel_3.1.2 tools_3.1.2

En respuesta a Rubén Gómez

Re: Abrir R-commander desde R

de Alba Gasca Vazquez -

Es que soy muy nueva en el tema de R y todos estos programas y no se que me estas pidiendo..?

Trabajo con macbook

En respuesta a Alba Gasca Vazquez

Re: Abrir R-commander desde R

de Franz Jimeno -

Hola Alba,

 

entra en R y escribe sessionInfo(), lo que te aparezca a continuación lo copias y lo pegas en un mensaje del foro.

 

Un saludo

En respuesta a Franz Jimeno

Re: Abrir R-commander desde R

de Alba Gasca Vazquez -

Hola, esto es lo que me aparece:

R version 3.1.2 (2014-10-31)
Platform: x86_64-apple-darwin10.8.0 (64-bit)

locale:
[1] es_ES.UTF-8/es_ES.UTF-8/es_ES.UTF-8/C/es_ES.UTF-8/es_ES.UTF-8

attached base packages:
[1] splines stats graphics grDevices utils datasets methods base

other attached packages:
[1] RcmdrMisc_1.0-2 sandwich_2.3-2 car_2.0-21

loaded via a namespace (and not attached):
[1] abind_1.4-0 acepack_1.3-3.3 class_7.3-11 cluster_1.15.3 e1071_1.6-4 foreign_0.8-61
[7] Formula_1.1-2 grid_3.1.2 Hmisc_3.14-5 lattice_0.20-29 latticeExtra_0.6-26 MASS_7.3-35
[13] nnet_7.3-8 RColorBrewer_1.0-5 rpart_4.1-8 survival_2.37-7 tools_3.1.2 zoo_1.7-11

En respuesta a Alba Gasca Vazquez

Re: Abrir R-commander desde R

de Rafael Reséndiz -

Hola Alba, al parecer al instalar el paquete no seleccionaste la parte que dice instalar todas las dependencias, por eso tienes que instalar cada paquete que te requiera paso a paso, existen dos opciones, selecciona todas las dependencias y actualiza los paquetes que necesitas, o bien, instala los que se te soliciten , ello viene en el mismo mensaje que nos enviaste  donde dice:

there is no package called ‘sandwich’ 

o bien cualuier otro paquete con la misma leyenda...

there is no package called ‘x’ 

Instala los paquetes hasta que te deje de pedir, solamente serán unos cuantos, quizás actualizaste la vrsión de R, pero sin actualizar los apquetes, te recomiendo que siempre verifiques ambas cosas.

ATTE

Rafa


En respuesta a Rafael Reséndiz

Re: Abrir R-commander desde R

de Alba Gasca Vazquez -

Al hacer lo que me estas comentando, me aparece el siguiente mensaje:

> library(Rcmdr)
Error : .onLoad failed in loadNamespace() for 'tcltk', details:
call: system2("otool", c("-L", shQuote(DLL)), stdout = TRUE)
error: error in running command
Error: package or namespace load failed for ‘Rcmdr’
sh: otool: command not found
>

En respuesta a Alba Gasca Vazquez

Re: Abrir R-commander desde R

de Franz Jimeno -

Veo que utilizas un Mac. Es importante que tengas instalado XQuartz para poder utilizar RCmdr. Lo puedes descargar de la siguiente dirección.

http://xquartz.macosforge.org/landing/

También es importante que tengas instalado R compilado para utilizar tcltk, eso lo puedes descargar de:

http://cran.r-project.org

Hay ocasiones que tras una actualización fallen las cosas, reinstalandolas puede que se corrijan. 

Luego intenta instalar el Rcmdr con la opción dependencies a true. Escribe esto dentro de R:

install.packages("Rcmdr", dependencies=TRUE)

Espero que sea así.

 

Un saludo,

Franz

En respuesta a Franz Jimeno

Re: Abrir R-commander desde R

de Kimberly Jimenez -

Hola, buenas noches en mi caso cuando ejecuto

library(Rcmdr) se presenta el siguiente error

Loading required package: RcmdrMisc
Loading required package: car
Error in gzfile(file, "rb") : cannot open the connection
In addition: Warning messages:
1: package ‘Rcmdr’ was built under R version 4.1.1
2: package ‘RcmdrMisc’ was built under R version 4.1.1
3: package ‘car’ was built under R version 4.1.1
4: In gzfile(file, "rb") :
cannot open compressed file 'C:/Users/kjime/OneDrive/Documentos/R/win-library/4.1/forcats/R/forcats.rdx', probable reason 'No such file or directory'
Error: package or namespace load failed for ‘car’:
unable to load R code in package ‘forcats’
Error: package ‘car’ could not be loaded

En respuesta a Kimberly Jimenez

Re: Abrir R-commander desde R

de Manuel Muñoz Márquez -

Buenas, Kimberly:

Tienes instalados paquetes de versiones anteriores a la versión de R que tienes instalada.

Vuelve a instalar todos los paquetes que te den ese mensaje: RcmdrMisc, Rcmdr, car, forcats

Un saludo.